> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Interact - legacy (non-stream)

> <Note>This endpoint is deprecated. Use the [Interact (non-stream)](/api-reference/conversation/interact-non-stream) endpoint instead. This legacy endpoint will continue to work for now, and we'll communicate a timeline for removal when one is available. We recommend migrating as soon as possible.</Note>
Returns an array of traces in response to a user interaction.



## OpenAPI

````yaml /specs/general-runtime/openapi.public.json post /state/user/{userID}/interact
openapi: 3.0.0
info:
  title: General-runtime
  description: Voiceflow runtime service
  version: 1.0.0
  contact: {}
servers:
  - url: https://general-runtime.voiceflow.com
security: []
paths:
  /state/user/{userID}/interact:
    post:
      tags:
        - Conversation
        - Public-Docs
      summary: Interact - legacy (non-stream)
      description: >-
        <Note>This endpoint is deprecated. Use the [Interact
        (non-stream)](/api-reference/conversation/interact-non-stream) endpoint
        instead. This legacy endpoint will continue to work for now, and we'll
        communicate a timeline for removal when one is available. We recommend
        migrating as soon as possible.</Note>

        Returns an array of traces in response to a user interaction.
      operationId: StateController_interactForId
      parameters:
        - name: userID
          required: true
          in: path
          schema:
            description: An ID which uniquely identifies the user having the conversation.
            type: string
            maxLength: 128
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                state:
                  type: object
                  properties:
                    variables:
                      type: object
                      additionalProperties: {}
                request: {}
                action:
                  description: >-
                    The user's response, e.g, user requests starting a
                    conversation or advances the conversation by providing some
                    textual response.
                config:
                  description: Optional settings to configure the response.
      responses:
        '200':
          description: ''
      deprecated: true
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````